Bug 1945282 - [NMCI] Automatic connection not removed when veth device gets removed
Summary: [NMCI] Automatic connection not removed when veth device gets removed
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 8
Classification: Red Hat
Component: NetworkManager
Version: 8.4
Hardware: Unspecified
OS: Unspecified
high
unspecified
Target Milestone: beta
: ---
Assignee: Beniamino Galvani
QA Contact: Filip Pokryvka
URL:
Whiteboard:
Depends On:
Blocks: 1965336
TreeView+ depends on / blocked
 
Reported: 2021-03-31 15:22 UTC by Filip Pokryvka
Modified: 2021-11-10 06:52 UTC (History)
9 users (show)

Fixed In Version: NetworkManager-1.32.0-0.2.el8
Doc Type: No Doc Update
Doc Text:
Clone Of:
: 1965336 (view as bug list)
Environment:
Last Closed: 2021-11-09 19:29:51 UTC
Type: Bug
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2021:4361 0 None None None 2021-11-09 19:30:15 UTC
freedesktop.org Gitlab NetworkManager NetworkManager-ci merge_requests 737 0 None None None 2021-03-31 15:25:39 UTC

Description Filip Pokryvka 2021-03-31 15:22:50 UTC
Description of problem:
When NetworkManager is configured to create autoconnections when device gets created, it does not delete the connection when device is removed via 'ip link del'

Version-Release number of selected component (if applicable):
1.32.0-0.1.el8

How reproducible:
always

Steps to Reproduce:
 1. ensure autoconnections for veths are allowed via udev and my_veth* is allowed in NetworkManager config, see allow_veth_connections_bs in https://gitlab.freedesktop.org/NetworkManager/NetworkManager-ci/-/blob/master/nmci/tags.py
 2. add veth pair:
     ip l add my_veth1 type veth peer name my_veth1p
     ip l set my_veth1 up
     ip l set my_veth1p up
 3. check "Wired connection 1" exists
     nmcli c
 4. delete veth pair 
     ip l del my_veth1

Actual results:
autoconnection "Wired connection 1" is not deleted

Expected results:
autoconnection should be deleted

Additional info:
covered by NetworkManager-ci test: nmcli/runtest.sh stable_mem_consuption2

Comment 1 Beniamino Galvani 2021-03-31 19:45:52 UTC
Upstream merge request:

https://gitlab.freedesktop.org/NetworkManager/NetworkManager/-/merge_requests/803

Comment 6 Vladimir Benes 2021-04-29 11:00:33 UTC
Test stable_mem_consumption2 reenabled again to catch this.

Comment 11 errata-xmlrpc 2021-11-09 19:29:51 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: NetworkManager security, bug fix, and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:4361


Note You need to log in before you can comment on or make changes to this bug.